Page MenuHomePhabricator

Notice: Undefined variable: wgAbuseFilterAvailableActions in /srv/mediawiki/wmf-config/abusefilter.php on line 23
Closed, ResolvedPublic

Description

This blew up in the logs as soon as I rolled group0 to wmf.4:

Notice: Undefined variable: wgAbuseFilterAvailableActions in /srv/mediawiki/wmf-config/abusefilter.php on line 23

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 31 2016, 8:51 PM

Mentioned in SAL [2016-05-31T20:55:24Z] <thcipriani> rolling back group0 wmf.4 for T136644 too much log spam

thcipriani added a subscriber: Tgr.May 31 2016, 9:12 PM

"AbuseFilterAvailableActions" should be converted to an associative array, so in config the things that need to be disabled can be set to => false instead of requiring array_diff and whatnot, and any calling code that needs to read from $wgAbuseFilterAvailableActions can use array_keys( array_filter( ... ) ); first.

Change 292036 had a related patch set uploaded (by Gergő Tisza):
Workaround for T136644

https://gerrit.wikimedia.org/r/292036

Change 292036 merged by jenkins-bot:
Workaround for T136644

https://gerrit.wikimedia.org/r/292036

Mentioned in SAL [2016-05-31T21:43:51Z] <thcipriani@tin> Synchronized wmf-config/abusefilter.php: [[gerrit:292036|Workaround for T136644]] (duration: 00m 30s)

matmarex triaged this task as Unbreak Now! priority.Jun 3 2016, 2:43 PM
matmarex removed a project: Patch-For-Review.
matmarex added a subscriber: matmarex.

Your workaround really does not work. The default options from extension.json are now getting appended after the options in our config, which means that a) it is actually impossible to disable any of them, and b) it's resulting in AF attempting to insert duplicate rows into its tables, which fails (T136929). This makes it impossible to edit filters (and possibly loses data when a filter is edited, I'm not exactly sure). I think we should revert 8c937957c0f472d6be952a64da511348ae877889 and e71808f4c4deca416ecd39160d12f2584bfb9d65 in AbuseFilter today and deploy that.

Restricted Application added subscribers: Luke081515, TerraCodes, Urbanecm. · View Herald TranscriptJun 3 2016, 2:43 PM
greg added a subscriber: greg.Jun 3 2016, 3:15 PM

Your workaround really does not work.

[snip]

I think we should revert 8c937957c0f472d6be952a64da511348ae877889 and e71808f4c4deca416ecd39160d12f2584bfb9d65 in AbuseFilter today and deploy that.

+1, sensible choice on a Friday. @thcipriani can you do that?

matmarex added a comment.EditedJun 3 2016, 3:16 PM

@Tgr is reverting it, I think (the revert was tagged against T136929, not here).

Change 292572 had a related patch set uploaded (by Gergő Tisza):
Revert "Workaround for T136644"

https://gerrit.wikimedia.org/r/292572

Change 292572 merged by jenkins-bot:
Revert "Workaround for T136644"

https://gerrit.wikimedia.org/r/292572

Tgr added a comment.Jun 3 2016, 3:36 PM

Reverted. Let's follow up in T87876.

Tgr closed this task as Resolved.Jun 3 2016, 3:36 PM
Tgr claimed this task.
mmodell changed the subtype of this task from "Task" to "Production Error".Wed, Aug 28, 11:10 PM